summaryrefslogtreecommitdiffstats
path: root/modules.d/91zipl/module-setup.sh
diff options
context:
space:
mode:
Diffstat (limited to 'modules.d/91zipl/module-setup.sh')
-rwxr-xr-xmodules.d/91zipl/module-setup.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/modules.d/91zipl/module-setup.sh b/modules.d/91zipl/module-setup.sh
index cb21454..16e5c96 100755
--- a/modules.d/91zipl/module-setup.sh
+++ b/modules.d/91zipl/module-setup.sh
@@ -12,7 +12,7 @@ get_boot_zipl_dev() {
check() {
local _arch=${DRACUT_ARCH:-$(uname -m)}
# Only for systems on s390 using indirect booting via userland grub
- [ "$_arch" = "s390" -o "$_arch" = "s390x" ] || return 1
+ [ "$_arch" = "s390" ] || [ "$_arch" = "s390x" ] || return 1
# /boot/zipl contains a first stage kernel used to launch grub in initrd
[ -d /boot/zipl ] || return 1
return 0
@@ -36,7 +36,7 @@ installkernel() {
ID_FS_TYPE=ext4
;;
esac
- instmods ${ID_FS_TYPE}
+ instmods "${ID_FS_TYPE}"
fi
fi
}